org.apache.lucene.util.fst

## Class OffHeapFSTStore

- java.lang.Object
- - org.apache.lucene.util.fst.OffHeapFSTStore

- All Implemented Interfaces:
    Accountable, FSTStore

      public final class OffHeapFSTStore
      extends Object
      implements FSTStore

  Provides off heap storage of finite state machine (FST), using underlying index input instead of byte store on heap
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OffHeapFSTStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FST.BytesReader` | `getReverseBytesReader()`
    `void` | `init(DataInput in, long numBytes)`
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.
    `long` | `size()`
    `void` | `writeTo(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Constructor Detail

    - #### OffHeapFSTStore

          public OffHeapFSTStore()

  - ### Method Detail

    - #### init

          public void init(DataInput in,
                           long numBytes)
                    throws IOException

      Specified by:
        `init` in interface `FSTStore`
      Throws:
        `IOException`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Description copied from interface: `Accountable`
      Return the memory usage of this object in bytes. Negative values are illegal.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### size

          public long size()

      Specified by:
        `size` in interface `FSTStore`

    - #### getReverseBytesReader

          public FST.BytesReader getReverseBytesReader()

      Specified by:
        `getReverseBytesReader` in interface `FSTStore`

    - #### writeTo

          public void writeTo(DataOutput out)
                       throws IOException

      Specified by:
        `writeTo` in interface `FSTStore`
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.